=pod

=head1 NAME

d2i_X509_SIG, i2d_X509_SIG - DigestInfo functions.

=head1 SYNOPSIS

 #include <openssl/x509.h>

 X509_SIG *d2i_X509_SIG(X509_SIG **a, unsigned char **pp, long length);
 int i2d_X509_SIG(X509_SIG *a, unsigned char **pp);
 void X509_SIG_get0(X509_ALGOR **palg, ASN1_OCTET_STRING **pdigest,
                    X509_SIG *sig);

=head1 DESCRIPTION

The functions d2i_X509_SIG() and i2d_X509_SIG() decode and encode an
X509_SIG structure which is equivalent to the B<DigestInfo> structure
defined in PKCS#1 and PKCS#7.

Otherwise they behave in a similar way to d2i_X509() and i2d_X509()
described in the L<d2i_X509(3)> manual page.

X509_SIG_get0() returns pointers to the algorithm identifier and digest
value in B<sig>. These values can then be examined or initialised.

=head1 SEE ALSO

L<d2i_X509(3)>

=head1 HISTORY

TBA

=cut
